Skip to main content
PATCH
/
sessions
/
{sessionId}
/
custom-roles
/
remove
Remove From Custom Role
curl --request PATCH \
  --url https://api.series.hr/sessions/{sessionId}/custom-roles/remove \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "TargetUserId": "<string>",
  "RoleName": "<string>"
}
'
Remove a user from a custom role they currently hold. The slot will be made vacant again. This is an administrative action. The target user must be a workspace member.
Custom roles are a Premium/Enterprise feature. This endpoint will return a 403 error for free-tier workspaces.

Request

curl -X PATCH https://api.series.hr/sessions/session_abc123/custom-roles/remove \
  -H "apikey: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "TargetUserId": "714760171",
    "RoleName": "Trainer"
  }'

Parameters

sessionId
string
required
The session ID
TargetUserId
string
required
The Roblox user ID of the user to remove from the role (must be a workspace member)
RoleName
string
required
The name of the custom role to remove the user from

Response

200
{
  "success": true,
  "data": {
    "message": "Successfully removed user from Trainer position",
    "SessionId": "session_abc123",
    "RoleName": "Trainer",
    "TargetUserId": "714760171"
  }
}

Errors

StatusDescription
400Target user is not in this role, or target user is not a workspace member
403Premium/Enterprise subscription required
404Session or custom role not found

Authorizations

apikey
string
header
required

Pass your API key in the apikey header. Alternatively, the x-api-key header is also accepted.

Path Parameters

sessionId
string
required

The session ID

Body

application/json
TargetUserId
string
required

Roblox user ID of the user to remove

RoleName
string
required

Name of the custom role to remove the user from

Response

User removed from custom role successfully